using System;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using Library2D;

namespace GraveyardGraph
{
	public class WaveGenerator : Drawable
	{
		private Texture2D Art;
		public Vector2 Center
		{
			get { return new Vector2(_center.X, _center.Y); }
			set { _center = value; }
		}
		private Vector2 _center = Vector2.Zero;

		public WaveGenerator (Vector2 center, Texture2D art)
		{
			this.Center = center;
			this.Art = art;
		}

		public void Draw(SpriteBatch sb)
		{
			//TODO: insert generator
			sb.Draw(this.Art, new Rectangle((int) Game1.CenterToUpperLeft(Center).X,
														  (int) Game1.CenterToUpperLeft(Center).Y,
																Game1.TILE_SIZE,
																Game1.TILE_SIZE), Color.White);
		}

		public Wave MakeWave()
		{
			SoundFetcher.SlowSwish.Play();
			SoundFetcher.Water.Play();
			SoundFetcher.Pebbles.Play();
			return new Wave(this.Center);
		}
	}
}